Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.ext.jsp
Class TagLibraryResolver

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.TagLibraryResolver

All Implemented Interfaces:
  groovy.lang.GroovyObject, GrailsApplicationAware, ServletContextAware

    public class TagLibraryResolver

extends Object
implements ServletContextAware, GrailsApplicationAware, groovy.lang.GroovyObject

Constructor Summary
`TagLibraryResolver()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`GrailsApplication` | `getGrailsApplication()`
`protected List` | `getJarsFromServletContext()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`ServletContext` | `getServletContext()`
`protected InputStream` | `getTldFromServletContext(String loc)`
`protected Resource` | `getWebXmlFromServletContext()`
`Object` | `invokeMethod(String method, Object arguments)`
`protected Object` | `resolveRootLoader()`
`JspTagLib` | `resolveTagLibrary(String uri)`
`void` | `setGrailsApplication(GrailsApplication value)` This method is called by the `ApplicationContext` that loads the Grails application.
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`void` | `setServletContext(ServletContext value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagLibraryResolver

    public TagLibraryResolver()

Method Detail

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication value)

  Description copied from interface: `GrailsApplicationAware`

  This method is called by the `ApplicationContext` that loads the Grails application. The `GrailsApplication` instance that represents the loaded Grails application is injected.

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `value` - the `GrailsApplication` object that represents this Grails application

### getServletContext

    public ServletContext getServletContext()

### setServletContext

    public void setServletContext(ServletContext value)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

### resolveTagLibrary

    public JspTagLib resolveTagLibrary(String uri)

### getTldFromServletContext

    protected InputStream getTldFromServletContext(String loc)

### getWebXmlFromServletContext

    protected Resource getWebXmlFromServletContext()

### getJarsFromServletContext

    protected List getJarsFromServletContext()

### resolveRootLoader

    protected Object resolveRootLoader()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project